
/**
 * @imports
 */
import mutationCallback from './mutationCallback.js';

/**
 * Shortcut function to connectedCallback().
 *
 * Observes when the given elements or selectors are removed
 * from the given context.
 *
 * @param array|HTMLElement|string	els
 * @param function					callback
 * @param object					params
 *
 * @return MutationObserver
 */
export default function(els, callback, params = {}) {
	params.on = 'disconnected';
	return mutationCallback(els, (el) => {
		callback(el);
	}, params);
};