/**
 * @imports
 */
import getOffsets from './getOffsets.js';
import getCoords from './getCoords.js';
import getSize from './getSize.js';
import getRect from './getRect.js';
import getRectAtOffsets from './getRectAtOffsets.js';
import getScrollParent from './getScrollParent.js';
import getCanScroll from './getCanScroll.js';
import resizeCallback from './resizeCallback.js';

import ProximityObserver from './ProximityObserver.js.js';
import Projection from './Projection.js.js';

import calcDelta from './calcDelta.js';
import calcDeltaAngle from './calcDeltaAngle.js';
import calcIntersection from './calcIntersection.js';
import calcProximity from './calcProximity.js';
import calcUnion from './calcUnion.js';

// Calc utilities
const calc = {
    calcDelta,
    calcDeltaAngle,
    calcIntersection,
    calcProximity,
    calcUnion,
};

/**
 * @exports
 */
export {
    getOffsets,
    getCoords,
    getSize,
    getRect,
    getRectAtOffsets,
    getScrollParent,
    getCanScroll,
    resizeCallback,
    ProximityObserver,
    Projection,
    calc,
};